@import 'materialize/components/color-variables';
$primary-color: color('blue', 'lighten-2') !default;
$secondary-color: color('yellow', 'base') !default;
@import 'materialize';
@import 'materialize/extras/nouislider';
@import 'material_icons';
@import 'material_icons';
@import 'leaflet';

html,
body {
  margin: 0;
  padding: 0;
}

.leaflet-container {
  background-color: #ffffff;
  bottom: 0;
  height: auto;
  position: absolute;
  right: 0;
  top: 56px;
  width: auto;
  left: 300px;
  z-index: 0;

  @media (min-width: 601px) {
    top: 64px;
  }

  .leaflet-bottom.leaflet-right {
    display: none;
  }

  .leaflet-tile-pane {
    opacity: .75;
  }

  path {
    &.red {
      stroke: color('red', 'accent-4');
    }

    &.pink {
      stroke: color('pink', 'accent-4');
    }

    &.purple {
      stroke: color('purple', 'accent-4');
    }

    &.deep-purple {
      stroke: color('deep-purple', 'accent-4');
    }

    &.indigo {
      stroke: color('indigo', 'accent-4');
    }

    &.blue {
      stroke: color('blue', 'accent-4');
    }

    &.light-blue {
      stroke: color('light-blue', 'accent-4');
    }

    &.cyan {
      stroke: color('cyan', 'accent-4');
    }

    &.teal {
      stroke: color('teal', 'accent-4');
    }

    &.green {
      stroke: color('green', 'accent-4');
    }

    &.light-green {
      stroke: color('light-green', 'accent-4');
    }

    &.lime {
      stroke: color('lime', 'accent-4');
    }

    &.yellow {
      stroke: color('yellow', 'accent-4');
    }

    &.amber {
      stroke: color('amber', 'accent-4');
    }

    &.orange {
      stroke: color('orange', 'accent-4');
    }

    &.deep-orange {
      stroke: color('deep-orange', 'accent-4');
    }

    &.brown {
      stroke: color('brown', 'accent-4');
    }
  }
}

.date-slider-container {
  background: linear-gradient(to top, white, transparent);
  bottom: 0;
  height: 7rem;
  left: 300px;
  overflow: hidden;
  padding: 6rem 4rem 0 4rem;
  position: absolute;
  right: 0;
}

ul {
  &.sidenav {
    height: 100%;
  }
}

header, main, footer {
  padding-left: 300px;
}

@media only screen and (max-width: 992px) {
  header, main, footer {
    padding-left: 0;
  }

  .leaflet-container,
  .date-slider-container {
    left: 0;
  }
}

body {
  .user-view {
    .background {
      background: linear-gradient(to right, $primary-color, $primary-color);
    }
  }

  .fixed {
    position: fixed;
    width: calc(100vw - 300px);
    z-index: 1;

    @media only screen and (max-width: 992px) {
      width: 100vw;
    }
  }

  .title {
    font-size: 18px;
  }

  main {
    padding-top: 64px;
  }

  #date-slider {
  }

  .noUi-target.noUi-horizontal .noUi-tooltip {
    height: 50px;
    width: 80px;
    top: -25px;
    left: -20px;
  }

  .noUi-target.noUi-horizontal .noUi-active .noUi-tooltip {
    transform: rotate(0deg) translate(23px, -25px);
  }

  .noUi-horizontal .noUi-tooltip span {
    transform: rotate(0deg);
  }

  .noUi-target.noUi-horizontal .noUi-handle-lower.noUi-active .noUi-tooltip {
    border-radius: 15px 15px 0 15px;
    left: -103px;
  }
}

.position-user {
  label {
    display: block;
    padding: 0 0 0 2rem;
  }

  [type="checkbox"].filled-in:not(:checked) + span:not(.lever)::after,
  [type="checkbox"].filled-in:checked + span:not(.lever)::after,
  [type="checkbox"].filled-in:checked + span:not(.lever)::before {
    top: 3px;
  }

  [type="checkbox"].filled-in.red:checked + span:not(.lever)::after {
    background-color: color('red', 'accent-4');
    border: 2px solid color('red', 'accent-4');
  }

  [type="checkbox"].filled-in.pink:checked + span:not(.lever)::after {
    background-color: color('pink', 'accent-4');
    border: 2px solid color('pink', 'accent-4');
  }

  [type="checkbox"].filled-in.purple:checked + span:not(.lever)::after {
    background-color: color('purple', 'accent-4');
    border: 2px solid color('purple', 'accent-4');
  }

  [type="checkbox"].filled-in.deep-purple:checked + span:not(.lever)::after {
    background-color: color('deep-purple', 'accent-4');
    border: 2px solid color('deep-purple', 'accent-4');
  }

  [type="checkbox"].filled-in.indigo:checked + span:not(.lever)::after {
    background-color: color('indigo', 'accent-4');
    border: 2px solid color('indigo', 'accent-4');
  }

  [type="checkbox"].filled-in.blue:checked + span:not(.lever)::after {
    background-color: color('blue', 'accent-4');
    border: 2px solid color('blue', 'accent-4');
  }

  [type="checkbox"].filled-in.light-blue:checked + span:not(.lever)::after {
    background-color: color('light-blue', 'accent-4');
    border: 2px solid color('light-blue', 'accent-4');
  }

  [type="checkbox"].filled-in.cyan:checked + span:not(.lever)::after {
    background-color: color('cyan', 'accent-4');
    border: 2px solid color('cyan', 'accent-4');
  }

  [type="checkbox"].filled-in.teal:checked + span:not(.lever)::after {
    background-color: color('teal', 'accent-4');
    border: 2px solid color('teal', 'accent-4');
  }

  [type="checkbox"].filled-in.green:checked + span:not(.lever)::after {
    background-color: color('green', 'accent-4');
    border: 2px solid color('green', 'accent-4');
  }

  [type="checkbox"].filled-in.light-green:checked + span:not(.lever)::after {
    background-color: color('light-green', 'accent-4');
    border: 2px solid color('light-green', 'accent-4');
  }

  [type="checkbox"].filled-in.lime:checked + span:not(.lever)::after {
    background-color: color('lime', 'accent-4');
    border: 2px solid color('lime', 'accent-4');
  }

  [type="checkbox"].filled-in.yellow:checked + span:not(.lever)::after {
    background-color: color('yellow', 'accent-4');
    border: 2px solid color('yellow', 'accent-4');
  }

  [type="checkbox"].filled-in.amber:checked + span:not(.lever)::after {
    background-color: color('amber', 'accent-4');
    border: 2px solid color('amber', 'accent-4');
  }

  [type="checkbox"].filled-in.orange:checked + span:not(.lever)::after {
    background-color: color('orange', 'accent-4');
    border: 2px solid color('orange', 'accent-4');
  }

  [type="checkbox"].filled-in.deep-orange:checked + span:not(.lever)::after {
    background-color: color('deep-orange', 'accent-4');
    border: 2px solid color('deep-orange', 'accent-4');
  }

  [type="checkbox"].filled-in.brown:checked + span:not(.lever)::after {
    background-color: color('brown', 'accent-4');
    border: 2px solid color('brown', 'accent-4');
  }
}
